DRM_PUT_DEV(9)

NAME
drm_put_dev - Unregister and release a DRM device

SYNOPSIS

void drm_put_dev(struct drm_device * dev);

ARGUMENTS

dev
    DRM device

DESCRIPTION

Called at module unload time or when a PCI device is unplugged.

Use of this function is discouraged. It will eventually go away completely. Please use drm_dev_unregister and drm_dev_unref explicitly instead.

Cleans up all DRM device, calling drm_lastclose.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT